Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.blogspot.applications4android.comicreader.core
Enum ImageType.Types

    java.lang.Object
      java.lang.Enum<ImageType.Types>
          com.blogspot.applications4android.comicreader.core.ImageType.Types

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ImageType.Types>

Enclosing class:
  ImageType

    public static enum ImageType.Types

extends java.lang.Enum<ImageType.Types>

List of all images currently supported. Each element's 'toString' function will actually return the file extension!

Enum Constant Summary
`BMP`
`GIF`
`ICO`
`JPG`
`PNG`
`UNKNOWN`

Method Summary
`static ImageType.Types` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ImageType.Types[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BMP

    public static final ImageType.Types BMP

### JPG

    public static final ImageType.Types JPG

### GIF

    public static final ImageType.Types GIF

### ICO

    public static final ImageType.Types ICO

### PNG

    public static final ImageType.Types PNG

### UNKNOWN

    public static final ImageType.Types UNKNOWN

Method Detail

### values

    public static ImageType.Types[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ImageType.Types c : ImageType.Types.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ImageType.Types valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD